Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class NumberOfTransactionsPerStatus5

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.NumberOfTransactionsPerStatus5

public class NumberOfTransactionsPerStatus5 extends Object

Java class for NumberOfTransactionsPerStatus5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NumberOfTransactionsPerStatus5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DtldNbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}Max15NumericText"/>
             <element name="DtldSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}ExternalPaymentTransactionStatus1Code"/>
             <element name="DtldCtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}DecimalNumber" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`dtldCtrlSum`
`protected String`
`dtldNbOfTxs`
`protected String`
`dtldSts`

## Constructor Summary

Constructors
Constructor
Description
`NumberOfTransactionsPerStatus5()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getDtldCtrlSum()`
Gets the value of the dtldCtrlSum property.
`String`
`getDtldNbOfTxs()`
Gets the value of the dtldNbOfTxs property.
`String`
`getDtldSts()`
Gets the value of the dtldSts property.
`void`
`setDtldCtrlSum(BigDecimal value)`
Sets the value of the dtldCtrlSum property.
`void`
`setDtldNbOfTxs(String value)`
Sets the value of the dtldNbOfTxs property.
`void`
`setDtldSts(String value)`
Sets the value of the dtldSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dtldNbOfTxs

protected String dtldNbOfTxs

### dtldSts

protected String dtldSts

### dtldCtrlSum

protected BigDecimal dtldCtrlSum

## Constructor Details

### NumberOfTransactionsPerStatus5

public NumberOfTransactionsPerStatus5()

## Method Details

### getDtldNbOfTxs

public String getDtldNbOfTxs()
Gets the value of the dtldNbOfTxs property.

Returns:
  possible object is `String`

### setDtldNbOfTxs

public void setDtldNbOfTxs(String value)
Sets the value of the dtldNbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getDtldSts

public String getDtldSts()
Gets the value of the dtldSts property.

Returns:
  possible object is `String`

### setDtldSts

public void setDtldSts(String value)
Sets the value of the dtldSts property.

Parameters:
  `value` - allowed object is `String`

### getDtldCtrlSum

public BigDecimal getDtldCtrlSum()
Gets the value of the dtldCtrlSum property.

Returns:
  possible object is `BigDecimal`

### setDtldCtrlSum

public void setDtldCtrlSum(BigDecimal value)
Sets the value of the dtldCtrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`